=== debian/changelog ===
eigen3 (3.0.1-1) unstable; urgency=low

  * [a67d377] Imported Upstream version 3.0.1
  * [15bbc31] Remove applied by upstream patch (GCC-4.6 compilation issue)
  * [1d6c4c0] Switch to compat 8.
  * [44e01c6] Add Build-Depends-Indep.
  * [93587bd] Enabled verbose mode for tests.

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 30 May 2011 21:10:28 +0200

eigen3 (3.0.0-2) unstable; urgency=low

  * [78ebf3d] Change fix "compilation error with GCC-4.6". 
     Applied by upstream. Add "using std::ptrdiff_t" instead of fixing it
     in many places.
  * [d6f36bc] Switch to Standards-Version: 3.9.2 (no changes).
  * [f2374a3] Prevent doc-creation on each build. 
     Hopefully fixes FTBS on kfreebsd* and armel platforms.
  * [87a5359] Enable debug-mode for test-units

 -- Anton Gladky <gladky.anton@gmail.com>  Mon, 23 May 2011 19:48:48 +0200

eigen3 (3.0.0-1) unstable; urgency=low

  * New upstream release (Closes: #619784)
  * Switch to dpkg-source 3.0 (quilt) format.
  * DEP-5 for copyright file.
  * Add watch file.
  * Add doc-base file.
  * Add upstream Changelog file from upstream-website.
  * Migrate from cdbs to debhelper.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 27 Mar 2011 01:33:48 +0100

eigen2 (2.0.15-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Add Vcs fields to debian/control.

  [ Ana Beatriz Guerrero Lopez ]
  * Fix FTBFS in hppa, patch build-snippets-with-O2. (Closes: #591576)
    It workarounds some kind of problem with the compiler flags order.
  * Update to Standards-Version 3.9.1, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 05 Aug 2010 11:40:59 -0400

eigen2 (2.0.14-1) unstable; urgency=low

  * New upstream release.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 27 Jun 2010 13:43:26 +0200

eigen2 (2.0.12-1) unstable; urgency=low

  * New upstream release. (Closes: #570961)

  [ Lisandro Damián Nicanor Pérez Meyer]
  * Bumped standars to 3.8.4.0, no changes needed.
  * Updated copyright file.

  [ Pino Toscano ]
  * Install the eigen2.pc pkgconfig file.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 21 Apr 2010 03:20:17 +0200

eigen2 (2.0.5-2) unstable; urgency=low

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Make libeigen-doc Arch:all.

  +++ Changes by Armin Berres:

  * Build conflict with doxygen 1.6.0-1, it is buggy and can not build the
    documentation (Closes: #543485).
  * Add build dependencies texlive-latex-base and ghostscript.
  * Set DEB_DH_INSTALL_SOURCEDIR to debian/tmp and add libeigen2-dev.install,
    otherwise the package is empty (Closes: #543459).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 26 Aug 2009 15:56:23 +0200

eigen2 (2.0.5-1) unstable; urgency=low

  * New upstream release.
  * Add libeigen2-doc.
  * Upgrade standards version to 3.8.3. No changes needed.
  * Update copyrights file.

 -- Armin Berres <armin+debian@space-based.de>  Sun, 23 Aug 2009 12:53:08 +0200

eigen2 (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * Skip building the testcase if DEB_BUILD_OPTIONS=nocheck is set
    (Closes: #537408).

 -- Armin Berres <armin+debian@space-based.de>  Wed, 05 Aug 2009 01:41:58 +0200

eigen2 (2.0.3-1) unstable; urgency=low

  * New upstream release

 -- Armin Berres <armin+debian@space-based.de>  Sun, 21 Jun 2009 16:37:49 -0400

eigen2 (2.0.1-1) unstable; urgency=low

  * New upstream release

 -- Armin Berres <armin+debian@space-based.de>  Fri, 15 May 2009 13:09:51 -0400

eigen2 (2.0.0-3) unstable; urgency=low

  * Upload to unstable (for real).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Feb 2009 20:55:55 +0100

eigen2 (2.0.0-2) experimental; urgency=low

  * Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 18 Feb 2009 18:22:20 +0100

eigen2 (2.0.0-1) experimental; urgency=low

  * New upstream release.
  * Build and execute the test cases, but do not abort the build if a test
    fails.
  * Replace "Eigen" with "Eigen 2" in the long description.
  * Change from Arch:all to Arch:any to run the testsuite.
  * Add myself to Uploaders.

 -- Armin Berres <armin+debian@space-based.de>  Tue, 03 Feb 2009 13:59:54 +0100

eigen2 (2.0~beta6-1) experimental; urgency=low

  * New upstream release.
  * Eigen2 now requires cmake 2.6.2 or higher that is currently in
    experimental, added versioned build-depend.
  * Add myself to Uploaders.
  * Remove unusued lintian overrides.
  * Update copyright: years and replace (C) with ©.
  * Bump to Standards-Version: 3.8.0, no changes required.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 12 Jan 2009 23:03:09 +0100

eigen2 (2.0~beta2-1) unstable; urgency=low

  * New upstream release (Closes: 509128)

 -- Sune Vuorela <debian@pusling.com>  Sun, 21 Dec 2008 17:08:04 +0100

eigen2 (2.0~beta1-1) unstable; urgency=low

  * New upstream releas (beta1).
  * Use cdbs cmake file instead of pkg-kde cdbs dir; drop quilt
    build-dependency

 -- Sune Vuorela <debian@pusling.com>  Thu, 18 Sep 2008 22:36:04 +0200

eigen2 (2~~svn850507-1) unstable; urgency=low

  * First upload of eigen2.
    - for now needs to be coinstallable with eigen. Will later replace it.

 -- Sune Vuorela <debian@pusling.com>  Thu, 21 Aug 2008 21:45:32 +0200
