=== debian/control ===
Source: eigen3
Section: libdevel
Priority: extra
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladky.anton@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake (>= 2.6.2)
Build-Depends-Indep: doxygen-latex, ghostscript, ttf-freefont, graphviz, libjs-jquery
Standards-Version: 3.9.2
Homepage: http://eigen.tuxfamily.org
Vcs-Git: git://git.debian.org/git/debian-science/packages/eigen3.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/eigen3.git

Package: libeigen3-dev
Architecture: any
Depends: ${misc:Depends}
Suggests: libeigen3-doc
Description: lightweight C++ template library for linear algebra
 Eigen 3 is a lightweight C++ template library for vector and matrix math, 
 a.k.a. linear algebra.
 .
 Unlike most other linear algebra libraries, Eigen 3 focuses on the simple 
 mathematical needs of applications: games and other OpenGL apps, spreadsheets 
 and other office apps, etc. Eigen 3 is dedicated to providing optimal speed 
 with GCC. A lot of improvements since 2-nd version of Eigen.

Package: libeigen3-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ttf-freefont, libjs-jquery
Suggests: libeigen3-dev
Description: eigen3 API docmentation
 Eigen 3 is a lightweight C++ template library for vector and matrix math,
 a.k.a. linear algebra.
 .
 This package provides the complete eigen3 API documentation in HTML format.
