## eigen3 3.0.2

=== debian/changelog ===
eigen3 (3.0.2-2) unstable; urgency=low

  * [6ed3c4b] Fix eigen2-support in geometry-module.

 -- Anton Gladky <gladky.anton@gmail.com>  Sun, 28 Aug 2011 23:49:07 +0300

eigen3 (3.0.2-1) unstable; urgency=low

  * [ced3ed6] Imported Upstream version 3.0.2
  * [235b927] Delete patches, which were fixed by upstream.

 -- Anton Gladky <gladky.anton@gmail.com>  Fri, 26 Aug 2011 21:30:18 +0300
