## eigen3 3.0.3

=== debian/changelog ===
eigen3 (3.0.3-1) unstable; urgency=low

  * [66ba545] Move Eigen3 API documentation to the Programming/C++ 
              doc-base section. (Closes: #640700)
  * [97cefd7] Update copyright-file. Clean lintian-warning.
  * [c10884b] Imported Upstream version 3.0.3
  * [3a0e6e1] Remove patch, applied by upstream (eigen2-support
              in geometry-module).
  * [ac77708] Fix pkgconfig path. Did not work in clean environment.

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 06 Oct 2011 23:32:41 +0200
