## eigen3 3.0.4

=== debian/changelog ===
eigen3 (3.0.4-1) unstable; urgency=low

  * [0207b32] Fix typo. (Closes: #644740)
  * [b1b90b9] Imported Upstream version 3.0.4
  * [2212e30] Fix doc-generation (patch).

 -- Anton Gladky <gladky.anton@gmail.com>  Tue, 06 Dec 2011 21:48:27 +0100
