=== debian/changelog ===
eigen3 (3.0.5-1) unstable; urgency=low

  * [c7643f2] Imported Upstream version 3.0.5
  * [111f10e] Remove unneeded patch.
  * [d996dcb] Use debhelper 9.

 -- Anton Gladky <gladky.anton@gmail.com>  Sat, 11 Feb 2012 07:09:59 +0100
