=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladky.anton@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8), cmake (>= 2.6.2)
+Build-Depends: debhelper (>= 9), cmake (>= 2.6.2)
 Build-Depends-Indep: doxygen-latex, ghostscript, ttf-freefont, graphviz, libjs-jquery
 Standards-Version: 3.9.2
 Homepage: http://eigen.tuxfamily.org
@@ -29,7 +29,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ttf-freefont, libjs-jquery
 Suggests: libeigen3-dev
-Description: eigen3 API docmentation
+Description: eigen3 API documentation
  Eigen 3 is a lightweight C++ template library for vector and matrix math,
  a.k.a. linear algebra.
  .
