=== debian/watch ===
version=3
http://eigen.tuxfamily.org/index.php http://bitbucket.org/eigen/eigen/get/(3).(.+).*.tar.bz2
