=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,56 @@
 
-find_package(GSL)
-if(GSL_FOUND AND GSL_VERSION_MINOR LESS 9)
-  set(GSL_FOUND "")
-endif(GSL_FOUND AND GSL_VERSION_MINOR LESS 9)
-if(GSL_FOUND)
-  add_definitions("-DHAS_GSL" ${GSL_DEFINITIONS})
-  include_directories(${GSL_INCLUDE_DIR})
-  ei_add_property(EIGEN_TESTED_BACKENDS "GSL, ")
-else(GSL_FOUND)
-  ei_add_property(EIGEN_MISSING_BACKENDS "GSL, ")
-  set(GSL_LIBRARIES "")
-endif(GSL_FOUND)
+# generate split test header file
+message(STATUS ${CMAKE_CURRENT_BINARY_DIR})
+file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/split_test_helper.h "")
+foreach(i RANGE 1 999)
+  file(APPEND ${CMAKE_CURRENT_BINARY_DIR}/split_test_helper.h
+    "#ifdef EIGEN_TEST_PART_${i}\n"
+    "#define CALL_SUBTEST_${i}(FUNC) CALL_SUBTEST(FUNC)\n"
+    "#else\n"
+    "#define CALL_SUBTEST_${i}(FUNC)\n"
+    "#endif\n\n"
+    )
+endforeach()
 
+# configure blas/lapack (use Eigen's ones)
+set(BLAS_FOUND TRUE)
+set(LAPACK_FOUND TRUE)
+set(BLAS_LIBRARIES eigen_blas)
+set(LAPACK_LIBRARIES eigen_lapack)
+
+set(SPARSE_LIBS " ")
+
+find_package(Cholmod)
+if(CHOLMOD_FOUND AND BLAS_FOUND AND LAPACK_FOUND)
+  add_definitions("-DEIGEN_CHOLMOD_SUPPORT")
+  include_directories(${CHOLMOD_INCLUDES})
+  set(SPARSE_LIBS ${SPARSE_LIBS} ${CHOLMOD_LIBRARIES} ${BLAS_LIBRARIES} ${LAPACK_LIBRARIES})
+  ei_add_property(EIGEN_TESTED_BACKENDS "Cholmod, ")
+else()
+  ei_add_property(EIGEN_MISSING_BACKENDS "Cholmod, ")
+endif()
+
+find_package(Umfpack)
+if(UMFPACK_FOUND AND BLAS_FOUND)
+  add_definitions("-DEIGEN_UMFPACK_SUPPORT")
+  include_directories(${UMFPACK_INCLUDES})
+  set(SPARSE_LIBS ${SPARSE_LIBS} ${UMFPACK_LIBRARIES} ${BLAS_LIBRARIES})
+  set(UMFPACK_ALL_LIBS ${UMFPACK_LIBRARIES} ${BLAS_LIBRARIES})
+  ei_add_property(EIGEN_TESTED_BACKENDS "UmfPack, ")
+else()
+  ei_add_property(EIGEN_MISSING_BACKENDS "UmfPack, ")
+endif()
+
+find_package(SuperLU)
+if(SUPERLU_FOUND AND BLAS_FOUND)
+  add_definitions("-DEIGEN_SUPERLU_SUPPORT")
+  include_directories(${SUPERLU_INCLUDES})
+  set(SPARSE_LIBS ${SPARSE_LIBS} ${SUPERLU_LIBRARIES} ${BLAS_LIBRARIES})
+  set(SUPERLU_ALL_LIBS ${SUPERLU_LIBRARIES} ${BLAS_LIBRARIES})
+  ei_add_property(EIGEN_TESTED_BACKENDS  "SuperLU, ")
+else()
+  ei_add_property(EIGEN_MISSING_BACKENDS  "SuperLU, ")
+endif()
 
 option(EIGEN_TEST_NOQT "Disable Qt support in unit tests" OFF)
 if(NOT EIGEN_TEST_NOQT)
@@ -75,7 +114,7 @@
 ei_add_test(product_notemporary)
 ei_add_test(stable_norm)
 ei_add_test(bandmatrix)
-ei_add_test(cholesky "" "${GSL_LIBRARIES}")
+ei_add_test(cholesky)
 ei_add_test(lu)
 ei_add_test(determinant)
 ei_add_test(inverse)
@@ -86,8 +125,8 @@
 ei_add_test(hessenberg)
 ei_add_test(schur_real)
 ei_add_test(schur_complex)
-ei_add_test(eigensolver_selfadjoint "" "${GSL_LIBRARIES}")
-ei_add_test(eigensolver_generic "" "${GSL_LIBRARIES}")
+ei_add_test(eigensolver_selfadjoint)
+ei_add_test(eigensolver_generic)
 ei_add_test(eigensolver_complex)
 ei_add_test(jacobi)
 ei_add_test(jacobisvd)
@@ -110,19 +149,36 @@
 ei_add_test(sparse_vector)
 ei_add_test(sparse_basic)
 ei_add_test(sparse_product)
-ei_add_test(sparse_solvers "" "${SPARSE_LIBS}")
+ei_add_test(sparse_solvers)
 ei_add_test(umeyama)
 ei_add_test(householder)
 ei_add_test(swap)
 ei_add_test(conservative_resize)
 ei_add_test(permutationmatrices)
+ei_add_test(sparse_permutations)
 ei_add_test(eigen2support)
 ei_add_test(nullary)
 ei_add_test(nesting_ops "${CMAKE_CXX_FLAGS_DEBUG}")
 ei_add_test(zerosized)
 ei_add_test(dontalign)
+ei_add_test(evaluators)
 ei_add_test(sizeoverflow)
 ei_add_test(prec_inverse_4x4)
+ei_add_test(vectorwiseop)
+
+ei_add_test(simplicial_cholesky)
+ei_add_test(conjugate_gradient)
+ei_add_test(bicgstab)
+
+if(UMFPACK_FOUND)
+  ei_add_test(umfpack_support   "" "${UMFPACK_ALL_LIBS}")
+endif()
+
+if(SUPERLU_FOUND)
+  ei_add_test(superlu_support   "" "${SUPERLU_ALL_LIBS}")
+endif()
+
+
 
 string(TOLOWER "${CMAKE_CXX_COMPILER}" cmake_cxx_compiler_tolower)
 if(cmake_cxx_compiler_tolower MATCHES "qcc")
