=== debian/changelog ===
eigen3 (3.1.0~alpha1-1) experimental; urgency=low

  * [d9d330e] Imported Upstream version 3.1.0~alpha1

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 07 Dec 2011 20:27:27 +0100
