=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,7 @@
 BUILDDIR = $(CURDIR)/debian/build
 
 %:
-	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR) --parallel
-
-override_dh_auto_configure:
-	dh_auto_configure -- -DDART_TESTING_TIMEOUT=300
+	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)
 
 override_dh_installchangelogs:
 	dh_installchangelogs debian/Changelog_upstream
