=== debian/changelog ===
eigen3 (3.1.0~beta1-1ubuntu1) quantal; urgency=low

  * Unfortunately the cmake build generates the docs even on a normal
    invocation, which makes it FTBFS on non-i386 where the buil-dep-indep
    are not installed. Until someone more familar with cmake than I looks
    into it, just move the build-dep-indeps to build-deps.

 -- Ben Collins <bcollins@ubuntu.com>  Wed, 13 Jun 2012 00:42:41 -0400

eigen3 (3.1.0~beta1-1) unstable; urgency=low

  * [aa702fd] Imported Upstream version 3.1.0~beta1
  * [5d018e5] Remove patch, applied by upstream.

 -- Anton Gladky <gladky.anton@gmail.com>  Wed, 06 Jun 2012 23:06:42 +0200

eigen3 (3.0.6~beta~hg6804713-1) unstable; urgency=low

  * [3eae9c8] Use enabled build-indep option.
  * [4beae61] Use Standards-Version: 3.9.3. No changes.
  * [5172da1] Disable BVH-test due to FTBFS with gcc-4.7. (Closes: #674305)
  * [bed656c] Imported Upstream version 3.0.6~beta~hg6804713. (Closes: #670134)
  * [2618217] Import flags with dpkg-buildflags. 

 -- Anton Gladky <gladky.anton@gmail.com>  Thu, 24 May 2012 22:25:38 +0200
