=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: eigen3
 Section: libdevel
 Priority: extra
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders: Anton Gladky <gladky.anton@gmail.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9), cmake (>= 2.6.2)
-Build-Depends-Indep: doxygen-latex, ghostscript, ttf-freefont, graphviz, libjs-jquery
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), cmake (>= 2.6.2), doxygen-latex, ghostscript, ttf-freefont, graphviz, libjs-jquery
+Standards-Version: 3.9.3
 Homepage: http://eigen.tuxfamily.org
 Vcs-Git: git://git.debian.org/git/debian-science/packages/eigen3.git
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/eigen3.git
